org.apache.mina.session

## Enum TrafficClassEnum

- java.lang.Object
- - java.lang.Enum<TrafficClassEnum>
  - - org.apache.mina.session.TrafficClassEnum

All Implemented Interfaces:
  Serializable, Comparable<TrafficClassEnum>

    public enum TrafficClassEnum
    extends Enum<TrafficClassEnum>

Define the list of Trafic Class available. They are used to define the ToS (Type Of Service)

Author:
  Apache MINA Project

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IPTOS_DEFAULT`
`IPTOS_LOWCOST`
`IPTOS_LOWDELAY`
`IPTOS_RELIABILITY`
`IPTOS_THROUGHPUT`

### Method Summary

Methods
`int` `getValue()`
`static TrafficClassEnum` `valueOf(int value)` Get back the Enum value fro the integer value
`static TrafficClassEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TrafficClassEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IPTOS_DEFAULT

    public static final TrafficClassEnum IPTOS_DEFAULT

#### IPTOS_LOWCOST

    public static final TrafficClassEnum IPTOS_LOWCOST

#### IPTOS_RELIABILITY

    public static final TrafficClassEnum IPTOS_RELIABILITY

#### IPTOS_THROUGHPUT

    public static final TrafficClassEnum IPTOS_THROUGHPUT

#### IPTOS_LOWDELAY

    public static final TrafficClassEnum IPTOS_LOWDELAY

### Method Detail

#### values

    public static TrafficClassEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TrafficClassEnum c : TrafficClassEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TrafficClassEnum valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Returns:
  Get back the internal value

#### valueOf

    public static TrafficClassEnum valueOf(int value)

Get back the Enum value fro the integer value

Parameters:
  `value` - The interger value we are looking for
Returns:
  The Enum value